import { execSync } from "child_process";

export default function npmInstall() {
  // npm install実行
  console.log("npm installを実行します");

  try {
    const npmInstall = execSync("npm install");

    console.log("----");
    console.log("$ npm install");
    console.log(npmInstall.toString());
    console.log("----");

    console.log("npm installを実行しました");
  } catch (err) {
    console.log("npm installの実行中にエラーが発生しました:\n", err);
    process.exit();
  }

  console.log("初期化が完了しました");
  process.exit();
}
